#
# spec file for package ghc-chell
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name chell
Name:           ghc-%{pkg_name}
Version:        0.4.0.1
Release:        lp150.1.8
Summary:        A simple and intuitive library for automated testing
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-ansi-terminal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-options-devel
BuildRequires:  ghc-patience-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel

%description
Chell is a simple and intuitive library for automated testing. It natively
supports assertion-based testing, and can use companion libraries such as
'chell-quickcheck' to support more complex testing strategies.

An example test suite, which verifies the behavior of artithmetic operators.

' &#x7b;-# LANGUAGE TemplateHaskell #-&#x7d;

import Test.Chell

tests_Math :: Suite tests_Math = suite "math" &#x20; [ test_Addition &#x20; ,
test_Subtraction &#x20; ]

test_Addition :: Test test_Addition = assertions "addition" $ do &#x20; $expect
(equal (2 + 1) 3) &#x20; $expect (equal (1 + 2) 3)

test_Subtraction :: Test test_Subtraction = assertions "subtraction" $ do
&#x20; $expect (equal (2 - 1) 1) &#x20; $expect (equal (1 - 2) (-1))

main :: IO () main = defaultMain [tests_Math] '

' $ ghc --make chell-example.hs $ ./chell-example PASS: 2 tests run, 2 tests
passed '.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc license.txt

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.4.0.1 revision 0 with cabal2obs.
